.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

:root {
  --discord-purple: #7289da;
  --sea-blue: #00749f;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

 * {
  box-sizing: border-box;
  text-align: initial;
}

body {
  background-color: transparent;
}

.widget {
  display: flex;
  flex-direction: column;
  overflow: hidden;
  font-family: 'Roboto', 'Whitney', Helvetica Neue, Helvetica, Arial, sans-serif;
  font-size: 14px;
  color: #fff;
  /* position: absolute; */
  /* top: 0; */
  /* left: 0; */
  /* right: 0; */
  /* bottom: 0; */
  /* max-width: 350px; */
  /* border-radius: 5px; */
  height: 100vh;
  /* width: 350px; */
  /* background: #222; */
}

.widget a {
  color: white;
  text-decoration: none;
}

.widget--logo {
  background: url(https://discord.com/assets/35d75407bd75d70e84e945c9f879bab8.svg) 50% no-repeat;
  width: 124px;
  height: 34px;
  background-size: 124px 34px;
  display: inline-block;
  flex-shrink: 0;
  margin-right: 20px;
  transition: opacity .25s ease-out;
}

.widget--logo:hover {
  opacity: .6;
}

.widget--header {
  height: 5rem;
  width: 100%;
  background-color: var(--discord-purple);
  color: #fff;
  display: flex;
  align-items: center;
  padding: 20px;
  justify-content: space-between;
  /* box-shadow: 0 5px 5px rgba(0, 0, 0, 0.3); */
  /* font-size: 200%; */
  /* text-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4); */
}

.widget--header .server {
  display: block;
  overflow: hidden;
}

.widget--header .no-server {
  display: none;
}

.widget--header .server .name {
  /* text-transform: uppercase; */
  font-weight: initial;
}

.widget--header .server .name {
  display: block;
  text-align: right;
  font-size: 1.2rem;
  font-weight: 600;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.widget--header .server .count {
  display: block;
  text-align: right;
  font-size: .8rem;
}

.widget--header .discord {
  font-size: 50%;
}

.widget--header .discord a {
  color: white;
  text-decoration: none;
  outline: none;
}

.widget--body {
  background-color: #202225;
  background-image: url(https://discord.com/assets/db9fd9dac08621e31b06609781c8851c.png),
    url(https://discord.com/assets/1c7d080332a1c9778182bc19c2f407bc.png);
  background-size: 200px 180px, 110px 130px;
  background-position: 0 100%, 100% 100%;
  background-repeat: no-repeat, no-repeat;
  flex: 1;
  box-shadow: 0 1px 0 rgba(0, 0, 0, .2);
  padding: 20px;
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.widget--body::-webkit-scrollbar {
  display: none;
}

.widget--body hr {
  height: 10px;
  border: 0;
}

.channels {
  /* box-shadow: 0 5px 5px rgba(0, 0, 0, 0.3); */
  display: block;
}

.no-channels {
  display: none;
}

.channels--header {
  /* background: linear-gradient(to top, #40aabf 0%, #60ffff 100%); */
  /* font-size: 150%; */
  /* padding: 0.5rem; */
  font-weight: 600;
  color: #8a8e94;
  text-transform: uppercase;
  margin-bottom: 12px;
}
/*
.channels--body {
  background: #222;
  margin: 0;
  padding: 1rem;
}
*/
.channel:first-child {
  margin-top: 0;
}
.channel {
  margin-top: 12px;
}

.channel-name {
  font-weight: 600;
  font-size: 18px;
  margin-bottom: 12px;
  /* margin: 0.3rem 0;
  padding: 0.2rem 0; */
}

.users {
  display: block;
}

.no-users {
  display: none;
}

.users--header {
  /* background: linear-gradient(to top, #40bf80 0%, #60ffbf 100%); */
  /* font-size: 150%; */
  /* padding: 0.5rem; */
  font-weight: 600;
  color: #8a8e94;
  text-transform: uppercase;
  margin-bottom: 12px;
  /* display: none; */
}
/*
.users--body {
  background: #222;
  margin: 0;
  padding: 1rem;
  display: flex;
  flex-flow: column;
}
*/
.user {
  display: flex;
  align-items: center;
  padding-left: 10px;
  margin: 6px 0;
  /* flex-flow: row wrap; */
  /* padding: 0.3rem; */
  /* position: relative; */
  /* width: 100%; */
  /* color: #8a8e94; */
}

.image--wrap {
  position: relative;
  /* border-radius: 100%; */
  height: 16px;
  width: 16px;
  margin-right: 4px;
}

.user--image {
  width: 16px;
  height: 16px;
  border-radius: 8px;
  /* user-select: none; */
}

.user--status {
  width: 6px;
  height: 6px;
  border-radius: 3px;
  position: absolute;
  bottom: 0;
  right: 0;
  /* border: 1px solid #ddd; */
}

.status--online {
  background-color: #43b581;
}

.status--idle {
  background-color: #faa61a;
}

.user .user--game,
.user .username {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  flex: 1;
}

.user .user--game {
  text-align: right;
  color: #4f545c;
  /* order: 5; */
  /* flex-grow: 1; */
  /* display: flex; */
  /* justify-content: flex-end; */
  /* align-items: flex-end; */
  /* position: relative; */
  /* font-size: 75%; */
}

.user .username {
  color: #8a8e94;
  /* margin: 0 0.5rem; */
  /* position: relative; */
}

.icon {
  background-color: transparent;
  width: 16px;
  height: 16px;
  background-size: 16px 16px;
  display: inline-block;
}

.icon + .icon {
  margin-left: 8px;
}

.icon--mute {
  background-image: url(https://discord.com/assets/a5bbc9918fae3a388beca5831f49e1c4.svg);
}

.icon--deaf {
  background-image: url(https://discord.com/assets/ae3f569adb173a871434acb93bbf30a7.svg);
}

.widget--footer {
  box-shadow: 0 -1px 18px rgba(0, 0, 0, .2), 0 -1px 0 rgba(0, 0, 0, .2);
  flex-shrink: 0;
  background-color: #202225;
  padding: 6px 6px 6px 20px;
  display: flex;
  align-items: center;
  min-height: 30px;
}

.widget--footer .info {
  display: inline-block;
  font-weight: 500;
  opacity: .1;
  flex: 1;
}

.widget--buttonConnect {
  display: flex;
  flex-shrink: 0;
  justify-content: center;
  align-items: center;
  /* width: 120px; */
  /* height: 30px; */
  /* border: 1px solid #212325; */
  /* border-radius: 4px; */
  /* background-clip: padding-box; */
  /* background-color: hsla(0, 0%, 100%, .1); */
  /* box-shadow: inset 0 1px 0 hsla(0, 0%, 100%, .04); */
  font-size: 24px;
  transition: opacity .25s ease-out;
}

.widget-theme-light .widget--body {
  background-image: url(https://discord.com/assets/319c6196da7ea2876ecf145b988e73a7.png),
    url(https://discord.com/assets/8c7c66b44b1087f6ca9edc6cc1245bec.png);
}

.widget-theme-light .widget--body,
.widget-theme-light .widget--footer {
  background-color: white;
}

.widget-theme-light .users,
.widget-theme-light .channel--name {
  color: #8a8e94;
}

.widget-theme-light .widget--buttonConnect,
.widget-theme-light .widget--footer .info {
  color: black;
  opacity: .7;
}

.widget-theme-seaproxime .widget--footer {
  border-radius: 0 0 0.75rem 0.75rem;
  border-top: 1px solid rgba(0, 0, 0, .125);
}

.widget-theme-seaproxime .widget {
  border-radius: 0.75rem;
  border: none;
}

.widget-theme-seaproxime {
  font-family: "Maven Pro", sans-serif;
  font-weight: 400;
}
.widget-theme-seaproxime .widget--header {
  background-color: var(--sea-blue);
  border-radius: 0.75rem 0.75rem 0 0;
}

/* Theme Toggler https://codepen.io/FlorinPop17/pen/XWWZYYG */
.themeToggler {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 24px;
  margin: 0 6px 0 6px;
}
.themeToggler--input {
  opacity: 0;
  position: absolute;
  display: none;
}
.themeToggler--label {
  background-color: #72767d;
  border-radius: 24px;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  padding: 4px;
  position: relative;
  height: 24px;
  width: 40px;
  /* transform: scale(1.5); */
}
.themeToggler--label .themeToggler--slider {
  background-color: white;
  border-radius: 50%;
  position: absolute;
  top: 3px;
  left: 3px;
  height: 18px;
  width: 18px;
  transform: translateX(0px);
  transition: transform 0.2s linear;
}
.themeToggler--input:checked + .themeToggler--label {
  background-color: #43b581;
}
.themeToggler--input:checked + .themeToggler--label .themeToggler--slider {
  transform: translateX(16px);
}